#ifndef PARSER_H
#define PARSER_H

#include "../goods/goods.h"
#include "module.h"
#include <string>
#include <vector>

class Parser {

    StoreModule module;

public:
    Parser();

    std::vector<std::string> search_modules();

    std::vector<std::string> check_updates();

    void set_module(std::string);

    std::vector<Goods> parse(std::wstring);
};

#endif // PARSER_H
